<?php

namespace HCM\FPA\ObrigacaoLegal\Dirf\Registros;

use HCM\FPA\ObrigacaoLegal\Dirf\Registros\RegistroDIRF;

class RegistroRESPO extends RegistroDIRF{

    private $_cpf;
    private $_nome;
    private $_ddd;
    private $_telefone;
    private $_ramal;
    private $_fax;
    private $_correioEletronico;

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoDirf($tpRegistro);

        // Ordem 2
        $this->atribuiDadoDirf($this->_cpf);

        // Ordem 3
        $this->atribuiDadoDirf($this->_nome);

        // Ordem 4
        $this->atribuiDadoDirf($this->_ddd);

        // Ordem 5
        $this->atribuiDadoDirf($this->_telefone);

        // Ordem 6
        $this->atribuiDadoDirf($this->_ramal);

        // Ordem 7
        $this->atribuiDadoDirf($this->_fax);

        // Ordem 8
        $this->atribuiDadoDirf($this->_correioEletronico);
    }

    public function geraRegistroRESPO(){
        $this->_geraRegistro(parent::REGISTRO_RESPO);
    }

    public function setCpf($cpf){
        $this->_cpf = $cpf;
    }
    public function setNome($nome){
        $this->_nome = $nome;
    }
    public function setDdd($ddd){
        $this->_ddd = $ddd;
    }
    public function setTelefone($telefone){
        $this->_telefone = $telefone;
    }
    public function setRamal($ramal){
        $this->_ramal = $ramal;
    }
    public function setFax($fax){
        $this->_fax = $fax;
    }
    public function setCorreioEletronico($correioEletronico){
        $this->_correioEletronico = $correioEletronico;
    }

}